squared_distance.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/err/check_vector.hpp>`
`#include <stan/math/prim/arr/err/check_matching_sizes.hpp>`
`#include <stan/math/prim/scal/fun/squared_distance.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<int R, int C>
double | stan::math::squared_distance (const Eigen::Matrix< double, R, C > &v1, const Eigen::Matrix< double, R, C > &v2)
| Returns the squared distance between the specified vectors of the same dimensions. More...
template<int R1, int C1, int R2, int C2>
double | stan::math::squared_distance (const Eigen::Matrix< double, R1, C1 > &v1, const Eigen::Matrix< double, R2, C2 > &v2)
| Returns the squared distance between the specified vectors of the same dimensions. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.